Page MenuHomePhabricator

uls-search-help is not translated when searching for a language doesn't find results
Closed, ResolvedPublic

Description

To reproduce:

  1. Go to https://he.wikipedia.org
  2. Click the "more" button on Compact Language links.
  3. Search for "snusmumriken"

Results:

  • Observed: The bottom of the panel says "You can search by language name, script name, ISO code of language or you can browse by region." - in English.
  • Expected: The bottom of the panel is supposed to say "אפשר לחפש לפי שם שפה, שם שיטת הכתב, קוד ISO של השפה, או ניתן לעיין לפי אזור." - in Hebrew.

I thought I fixed it https://github.com/wikimedia/jquery.uls/pull/243 and https://github.com/wikimedia/jquery.uls/pull/246 , but either I did it wrong already back then, or there was some regression.

Event Timeline

Amire80 created this task.Feb 14 2018, 10:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2018, 10:08 PM
santhosh claimed this task.Feb 16 2018, 4:04 AM
santhosh triaged this task as Normal priority.Feb 16 2018, 4:06 AM
santhosh moved this task from Backlog to In Progress on the Language-2018-Jan-Mar board.

Needs a gerrit patch now

Change 411187 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.uls to 8c32f06

https://gerrit.wikimedia.org/r/411187

santhosh moved this task from In Review to QA on the Language-2018-Jan-Mar board.Feb 16 2018, 8:30 AM

Change 411187 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.uls to 8c32f06

https://gerrit.wikimedia.org/r/411187

Etonkovidova closed this task as Resolved.Feb 27 2018, 1:22 AM
Etonkovidova added a subscriber: Etonkovidova.

Checked in hewiki (wmf.22)

Nikerabbit moved this task from QA to Done on the Language-2018-Jan-Mar board.Mar 1 2018, 10:36 AM